Bug 1475121 - [RFE] Support for Private Repos at Docker Hub
Summary: [RFE] Support for Private Repos at Docker Hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Content
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Partha Aji
QA Contact: Bruno Rocha
URL:
Whiteboard: verified in upstream
Depends On:
Blocks: 1573397
TreeView+ depends on / blocked
 
Reported: 2017-07-26 06:17 UTC by Roman Bobek
Modified: 2019-11-05 23:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:38 UTC
Target Upstream Version:
brocha: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:14 UTC
Foreman Issue Tracker 16481 None None None 2017-08-29 12:25:32 UTC

Description Roman Bobek 2017-07-26 06:17:45 UTC
Description of problem:
Satellite 6 is not able to sync private registry hosted on Docker Hub.

Version-Release number of selected component (if applicable):


How reproducible:
Allways

Steps to Reproduce:
1. Create a registry on https://hub.docker.com
2. Push an image in the registry and make the registry private
3. Create the Docker type repository in the Satellite pointing to the private registry
4. Try to sync the repository

Actual results:
Sync fails with following error:
Could not fetch repository username/registry from registry https://registry.hub.docker.com - Unauthorized or Not Found

Expected results:
Registry is synced.

Additional info:
- Registry entry in Containers > Registries is created and credentials are correct.
- If the registry is not set as Private, sync is working without any issues
- Pulling from the private registry works

Comment 1 Michael Hrivnak 2017-07-26 07:05:12 UTC
Support for authentication to a registry was added to Pulp 2.10.0 here:

https://pulp.plan.io/issues/1291

Partha, can you confirm:

1) Does sat 6.2 include this feature? The Pulp change would need to have been backported. Katello would of course need to facilitate setting the username and password.

2) Has this been tested against docker hub? Or private registries? Or anything else?

Comment 4 Tom McKay 2017-08-29 12:25:29 UTC
Connecting redmine issue http://projects.theforeman.org/issues/16481 from this bug

Comment 5 Tom McKay 2017-08-29 12:26:57 UTC
Changes upstream for quite some time.

Comment 8 Bruno Rocha 2018-05-21 15:54:33 UTC
Verified both upstream and downstream 6.4 snap 3

Comment 9 Bruno Rocha 2018-05-21 16:01:43 UTC
Removed the needinfo as BZ is verified

Comment 11 errata-xmlrpc 2018-10-16 15:28:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.